Skip to main content
GET
/
v1
/
events
/
names
List Event Names
curl --request GET \
  --url https://api.spairehq.com/v1/events/names \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "name": "<string>",
      "occurrences": 123,
      "first_seen": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by external customer ID.

source

Filter by event source.

Available options:
system,
user
query
string | null

Query to filter event names.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
name,
-name,
occurrences,
-occurrences,
first_seen,
-first_seen,
last_seen,
-last_seen

Response

Successful Response

items
EventName · object[]
required
pagination
Pagination · object
required